Subject: Re: [PATCH] [powerpc] Wire up fanotify_init, fanotify_mark, prlimit64 syscalls

From: Arnd Bergmann <[email-masked]>
Date: Tue, 24 Aug 2010 09:58:05 +0200

On Tuesday 24 August 2010, Benjamin Herrenschmidt wrote:
> On Mon, 2010-08-23 at 15:52 +0200, Arnd Bergmann wrote:
> > On Friday 20 August 2010, Andreas Schwab wrote:
> > > See arch/powerpc/platforms/cell/spu_callbacks.c.
> > > 
> > >  * 4. They are optional and we can't rely on them being
> > >  *    linked into the kernel. Unfortunately, the cond_syscall
> > >  *    helper does not work here as it does not add the necessary
> > >  *    opd symbols:
> > 
> > Right. I should blame the person that wrote this comment.
> > If only I could remember who that was.
> 
> Regardless of the outcome of that, I'm merging Andreas patch. We can
> always add SPU bindings if we feel like it later.

Sorry, I should have added a ';-)' or been clearer. The patch is good,
I wrote the comment that Andreas quoted and it's probably my own fault
that we never found a way to handle syscalls like this correctly from
the SPU.

	Arnd